Package com.mckoi.database

## Class AbstractQueryContext

- java.lang.Object
- - com.mckoi.database.AbstractQueryContext

All Implemented Interfaces:
  `QueryContext`

Direct Known Subclasses:
  `DatabaseQueryContext`

    public abstract class AbstractQueryContext
    extends java.lang.Object
    implements QueryContext

An abstract implementation of QueryContext

Author:
  Tobias Downer

### Constructor Summary

Constructors
`AbstractQueryContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMarkedTable​(java.lang.String mark_name, Table table)` Marks a table in a query plan.
`void` `clearCache()` Clears the cache of any cached tables.
`Table` `getCachedNode​(long id)` Returns a cached table or null if it isn't cached.
`Table` `getMarkedTable​(java.lang.String mark_name)` Returns a table that was marked in a query plan or null if no mark was found.
`void` `putCachedNode​(long id, Table table)` Put a Table into the cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mckoi.database.QueryContext

`currentSequenceValue, getFunctionLookup, getSystem, getUserName, nextSequenceValue, setSequenceValue`

### Constructor Detail

#### AbstractQueryContext

    public AbstractQueryContext()

### Method Detail

#### addMarkedTable

    public void addMarkedTable​(java.lang.String mark_name,
                               Table table)

Marks a table in a query plan.

Specified by:
  `addMarkedTable` in interface `QueryContext`

#### getMarkedTable

    public Table getMarkedTable​(java.lang.String mark_name)

Returns a table that was marked in a query plan or null if no mark was found.

Specified by:
  `getMarkedTable` in interface `QueryContext`

#### putCachedNode

    public void putCachedNode​(long id,
                              Table table)

Put a Table into the cache.

Specified by:
  `putCachedNode` in interface `QueryContext`

#### getCachedNode

    public Table getCachedNode​(long id)

Returns a cached table or null if it isn't cached.

Specified by:
  `getCachedNode` in interface `QueryContext`

#### clearCache

    public void clearCache()

Clears the cache of any cached tables.

Specified by:
  `clearCache` in interface `QueryContext`